=== debian/changelog ===
uid-wrapper (1.0.1-1) unstable; urgency=low

  * Initial release. Closes: #755557

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 22 Jul 2014 02:46:19 +0200
