=== debian/changelog ===
uid-wrapper (1.0.2-2) unstable; urgency=medium

  * Add patch remove-access.patch: remove use of SYS_access not
    available on ARM64. Closes: #770307
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 22 Nov 2014 11:48:26 +0000

uid-wrapper (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 08 Aug 2014 21:07:45 +0200
