=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-buildinfo,
                libcmocka-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/users/jelmer/uid-wrapper.git -b unstable
 
 Package: libuid-wrapper
