=== debian/watch ===
version=3
https://ftp.samba.org/pub/cwrap/ uid_wrapper-([0-9.]+)[.]tar[.]gz
