=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,5 +22,8 @@
 )
 
 # This needs to be at the end
+if (POLICY CMP0026)
+    cmake_policy(SET CMP0026 OLD)
+endif()
 get_target_property(UWRAP_LOCATION uid_wrapper LOCATION)
 set(UID_WRAPPER_LOCATION ${UWRAP_LOCATION} PARENT_SCOPE)
