=== debian/changelog ===
uid-wrapper (1.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Remove fix-test-gid.diff, refresh no-soname.diff.
  * copyright, watch: Filter obj32/* from the tarball, rename source to
    match.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Dec 2015 16:27:44 +0200

uid-wrapper (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Change maintainer, update Vcs. (Closes: #782374)
  * patches: no-soname.diff updated, remove-access.patch removed (upstream).
  * fix-test-gid.diff: Fix a failing test.
  * control: Fix a typo in description.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2015 11:55:24 +0300
