=== debian/watch ===
version=3
opts="repacksuffix=+dfsg1,dversionmangle=s/\+dfsg\d*$//" \
https://ftp.samba.org/pub/cwrap/ uid_wrapper-([0-9.]+)[.]tar[.]gz
