=== debian/changelog ===
uid-wrapper (1.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * control: Bump policy to 3.9.8, no changes.
  * control: Use https vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Sep 2016 09:10:28 +0300
