=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-buildinfo,
                libcmocka-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-sssd/uid-wrapper.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-sssd/uid-wrapper.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-sssd/uid-wrapper.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sssd/uid-wrapper.git
 
 Package: libuid-wrapper
 Architecture: any
