=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,8 @@
     add_definitions(-DBSD)
 endif (BSD)
 
+add_executable(mock_exec_uid mock_exec_uid.c)
+
 set(UWRAP_UID_TESTS
      test_setuid
      test_seteuid)
@@ -32,7 +34,7 @@
 if (HAVE_SETRESUID)
     list(APPEND UWRAP_UID_TESTS test_setresuid test_setuid_euid1 test_setuid_euid2)
     if (HAVE_GETRESUID)
-        list(APPEND UWRAP_UID_TESTS test_getresuid)
+        list(APPEND UWRAP_UID_TESTS test_getresuid test_fork_exec)
     endif (HAVE_GETRESUID)
 endif (HAVE_SETRESUID)
