=== debian/changelog ===
uid-wrapper (1.2.4+dfsg1-1ubuntu1) hirsute; urgency=medium

  * Make autopkgtests cross-test-friendly: test dep on build-essential, not
    on gcc and libc-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Jan 2021 13:27:42 -0800

uid-wrapper (1.2.4+dfsg1-1build1) hirsute; urgency=medium

  * No-change rebuild to pick up i386 binary

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Nov 2020 20:59:36 +0000

uid-wrapper (1.2.4+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #894794)
  * Bump debhelper compat to 11.
  * control: Bump policy to 4.1.3.
  * control: Update vcs urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Apr 2018 14:08:05 +0300
