=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Homepage: http://cwrap.org/uid_wrapper.html
 Section: devel
 Priority: optional
-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: cmake (>= 2.8.8-3~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                dh-buildinfo,
                libcmocka-dev
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-sssd/uid-wrapper.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sssd/uid-wrapper.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/sssd-team/uid-wrapper.git
+Vcs-Browser: https://salsa.debian.org/sssd-team/uid-wrapper.git
 
 Package: libuid-wrapper
 Architecture: any
