=== debian/tests/control ===
Tests: tests
Depends: libuid-wrapper,
 build-essential,
 cmake (>= 2.8.8-3~),
 libcmocka-dev,
 netbase
Restrictions: allow-stderr
