=== debian/changelog ===
uid-wrapper (1.2.8-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * Migrate to debhelper-compat, bump to 13.
  * no-soname.diff: Refreshed.
  * docs: Updated.

  [ Sergio Durigan Junior ]
  * d/rules: Modernize it with dh sequencer; use hardening when compiling.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Jan 2021 14:31:52 +0200
