=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

unittest = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,-DUNIT_TESTING=1)

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	$(unittest)
