=== debian/changelog ===
uid-wrapper (1.2.9-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 26 Aug 2022 12:23:27 +0300
