=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Homepage: http://cwrap.org/uid_wrapper.html
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: cmake (>= 2.8.8-3~),
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                dh-buildinfo,
                libcmocka-dev
 XS-Testsuite: autopkgtest
