=== debian/changelog ===
uid-wrapper (1.3.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 2.8.8-3~).

 -- Simon Josefsson <simon@josefsson.org>  Sat, 21 Oct 2023 15:50:00 +0200

uid-wrapper (1.3.0-3) unstable; urgency=medium

  * control: Use new pkg-sssd email address.
  * drop-unknown-syscall.diff: Use upstream's patch.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 08 Aug 2023 08:29:54 +0200

uid-wrapper (1.3.0-2) unstable; urgency=medium

  * drop-unknown-syscall.diff: Replaces syscall-unknown-errno.diff to fix
    FTBFS on armel/armhf.
  * use-gnu-lib-names.diff: Add.  Closes: #826906.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 05 Aug 2023 21:00:40 +0200

uid-wrapper (1.3.0-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * New upstream version.
  * control: Add myself as Uploaders.
  * upstream/metadata: Add.
  * copyright, watch: Drop obj32/ filtering, not needed any more.
  * watch: Add pgpsigurlmangle.
  * upstream/signing-key.asc: Add.
  * control: Standards-Version 4.6.2.
  * control: Rules-Requires-Root: no.
  * copyright: Add myself for debian/*, silencing
    lintian warning update-debian-copyright.
  * no-soname.diff: Mark as Forwarded: not-needed.
  * libuid-wrapper.lintian-overrides: Fix syntax.
  * control: Mark libuid-wrapper as Multi-Arch: same.
  * syscall-unknown-errno.diff: Add.
  * tests: Update LD_PRELOAD sed.  Output errors on failure.

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Use canonical URL in Vcs-Browser.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 04 Aug 2023 13:43:30 +0200
