=== debian/control ===
Source: uid-wrapper
Homepage: https://cwrap.org/uid_wrapper.html
Section: devel
Priority: optional
Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>,
           Simon Josefsson <simon@josefsson.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-buildinfo,
               libcmocka-dev
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/sssd-team/uid-wrapper.git
Vcs-Browser: https://salsa.debian.org/sssd-team/uid-wrapper
Rules-Requires-Root: no

Package: libuid-wrapper
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: UID wrapper library
 This is a wrapper for the user, group and hosts NSS API that can
 simulate uid switching as a regular user. This is useful for
 testsuites that run as a regular user but need to test
 privileged functions.
 .
 It works as a preload library, which overrides various
 system functions.
