=== debian/changelog ===
uid-wrapper (1.3.1-3) unstable; urgency=medium

  [ Helge Deller ]
  * Fix x32 syscall.  Closes: #1087012.

  [ Simon Josefsson ]
  * Run self-test with time_t both as 32 and 64 bit.  Closes: #1086769.
  * tests: Print CC commands.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Nov 2024 09:11:01 +0100

uid-wrapper (1.3.1-2) unstable; urgency=medium

  [ Simon Josefsson ]
  * Add d/salsa-ci.yml.
  * Run wrap-and-sort -satbk.

  [ Helge Deller ]
  * Disable time64 transition.  Closes: #1086769.
  * Drop skip-arm-32bit-syscall.patch.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 05 Nov 2024 19:14:25 +0100

uid-wrapper (1.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop upstreamed fix-typo.diff, use-gnu-lib-names.diff,
    drop-unknown-syscall.diff.
  * DEP3ify skip-arm-32bit-syscall.patch.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 23 Sep 2024 09:37:58 +0200

uid-wrapper (1.3.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian patch skip-arm-32bit-syscall.patch skips gettimeofday
    syscall test in test_syscall on 32-bit ARM (__arm__), since syscall
    __NR_gettimeofday returns tv2.tv_sec=0 on armel, armhf.
    Closes: #1069425.

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jul 2024 12:25:35 +0200

uid-wrapper (1.3.0-5) unstable; urgency=medium

  [ Hefee ]
  * Enable verbose cmake in autopkgtest.

  [ Simon Josefsson ]
  * Bump Standards-Version: to 4.7.0.
  * Fix typo, silencing lintian.
  * Bump copyright years, silencing lintian.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 23 Apr 2024 14:34:54 +0200
