## uid-wrapper 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 # Required cmake version
-cmake_minimum_required(VERSION 3.5.0)
-cmake_policy(SET CMP0048 NEW)
+cmake_minimum_required(VERSION 3.10.0)
 
 # Specify search path for CMake modules to be loaded by include()
 # and find_package()
@@ -11,7 +10,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(uid_wrapper VERSION 1.3.1 LANGUAGES C)
+project(uid_wrapper VERSION 1.3.2 LANGUAGES C)
 
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -23,7 +22,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.2.1")
+set(LIBRARY_VERSION "0.2.2")
 set(LIBRARY_SOVERSION "0")
 
 # add definitions
