=== doc/CMakeLists.txt ===
install(FILES
            uid_wrapper.1
        DESTINATION
            ${CMAKE_INSTALL_MANDIR}/man1)
