=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 project(tests C)
+
+if (TARGET cmocka::cmocka)
+    set(CMOCKA_LIBRARY cmocka::cmocka)
+endif()
 
 add_library(uwrap_fake_socket_wrapper SHARED uwrap_fake_socket_wrapper.c)
 target_compile_options(uwrap_fake_socket_wrapper
