=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
  Timo Aaltonen <tjaalton@debian.org>,
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
- dh-buildinfo,
  libcmocka-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/sssd-team/uid-wrapper.git
 Vcs-Browser: https://salsa.debian.org/sssd-team/uid-wrapper
 Rules-Requires-Root: no
