=== debian/tests/control ===
Tests:
 tests,
Depends:
 cmake (>= 2.8.8-3~),
 gcc,
 libc-dev,
 libcmocka-dev,
 libuid-wrapper,
 make,
 netbase,
Restrictions:
 allow-stderr,
