=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://ftp.samba.org/pub/cwrap/ \
uid_wrapper-@ANY_VERSION@@ARCHIVE_EXT@
